unit schReportClient_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable;

const
  { Data table rules ids
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_InformeComisiones = '{1FE7EF1F-1A5F-49F0-884E-059EA3E9AEDB}';

  { Data table names }
  nme_InformeComisiones = 'InformeComisiones';

  { InformeComisiones fields }
  fld_InformeComisionesFECHA_COMISION = 'FECHA_COMISION';
  fld_InformeComisionesREFERENCIA_COMISION = 'REFERENCIA_COMISION';
  fld_InformeComisionesDESCRIPCION = 'DESCRIPCION';
  fld_InformeComisionesIMPORTE_TOTAL = 'IMPORTE_TOTAL';
  fld_InformeComisionesID_EMPRESA = 'ID_EMPRESA';
  fld_InformeComisionesNIF_CIF_EMPRESA = 'NIF_CIF_EMPRESA';
  fld_InformeComisionesRAZON_SOCIAL = 'RAZON_SOCIAL';
  fld_InformeComisionesCALLE_EMPRESA = 'CALLE_EMPRESA';
  fld_InformeComisionesPOBLACION_EMPRESA = 'POBLACION_EMPRESA';
  fld_InformeComisionesPROVINCIA_EMPRESA = 'PROVINCIA_EMPRESA';
  fld_InformeComisionesCODIGO_POSTAL_EMPRESA = 'CODIGO_POSTAL_EMPRESA';
  fld_InformeComisionesTELEFONO_1 = 'TELEFONO_1';
  fld_InformeComisionesFAX = 'FAX';
  fld_InformeComisionesMOVIL_1 = 'MOVIL_1';
  fld_InformeComisionesEMAIL_1 = 'EMAIL_1';
  fld_InformeComisionesPAGINA_WEB = 'PAGINA_WEB';
  fld_InformeComisionesREGISTRO_MERCANTIL = 'REGISTRO_MERCANTIL';
  fld_InformeComisionesID_AGENTE = 'ID_AGENTE';
  fld_InformeComisionesAGENTE = 'AGENTE';
  fld_InformeComisionesID_FACTURA = 'ID_FACTURA';
  fld_InformeComisionesID_COMISION_LIQUIDADA = 'ID_COMISION_LIQUIDADA';
  fld_InformeComisionesFECHA = 'FECHA';
  fld_InformeComisionesREFERENCIA = 'REFERENCIA';
  fld_InformeComisionesSITUACION = 'SITUACION';
  fld_InformeComisionesID_CLIENTE = 'ID_CLIENTE';
  fld_InformeComisionesCLIENTE = 'CLIENTE';
  fld_InformeComisionesID_PROVEEDOR = 'ID_PROVEEDOR';
  fld_InformeComisionesPROVEEDOR = 'PROVEEDOR';
  fld_InformeComisionesCOMISION = 'COMISION';
  fld_InformeComisionesIMPORTE_COMISIONABLE = 'IMPORTE_COMISIONABLE';
  fld_InformeComisionesIMPORTE_COMISION = 'IMPORTE_COMISION';

  { InformeComisiones field indexes }
  idx_InformeComisionesFECHA_COMISION = 0;
  idx_InformeComisionesREFERENCIA_COMISION = 1;
  idx_InformeComisionesDESCRIPCION = 2;
  idx_InformeComisionesIMPORTE_TOTAL = 3;
  idx_InformeComisionesID_EMPRESA = 4;
  idx_InformeComisionesNIF_CIF_EMPRESA = 5;
  idx_InformeComisionesRAZON_SOCIAL = 6;
  idx_InformeComisionesCALLE_EMPRESA = 7;
  idx_InformeComisionesPOBLACION_EMPRESA = 8;
  idx_InformeComisionesPROVINCIA_EMPRESA = 9;
  idx_InformeComisionesCODIGO_POSTAL_EMPRESA = 10;
  idx_InformeComisionesTELEFONO_1 = 11;
  idx_InformeComisionesFAX = 12;
  idx_InformeComisionesMOVIL_1 = 13;
  idx_InformeComisionesEMAIL_1 = 14;
  idx_InformeComisionesPAGINA_WEB = 15;
  idx_InformeComisionesREGISTRO_MERCANTIL = 16;
  idx_InformeComisionesID_AGENTE = 17;
  idx_InformeComisionesAGENTE = 18;
  idx_InformeComisionesID_FACTURA = 19;
  idx_InformeComisionesID_COMISION_LIQUIDADA = 20;
  idx_InformeComisionesFECHA = 21;
  idx_InformeComisionesREFERENCIA = 22;
  idx_InformeComisionesSITUACION = 23;
  idx_InformeComisionesID_CLIENTE = 24;
  idx_InformeComisionesCLIENTE = 25;
  idx_InformeComisionesID_PROVEEDOR = 26;
  idx_InformeComisionesPROVEEDOR = 27;
  idx_InformeComisionesCOMISION = 28;
  idx_InformeComisionesIMPORTE_COMISIONABLE = 29;
  idx_InformeComisionesIMPORTE_COMISION = 30;

type
  { IInformeComisiones }
  IInformeComisiones = interface(IDAStronglyTypedDataTable)
  ['{267AC63D-9C18-4E68-8E59-55511F3F7AAD}']
    { Property getters and setters }
    function GetFECHA_COMISIONValue: DateTime;
    procedure SetFECHA_COMISIONValue(const aValue: DateTime);
    function GetREFERENCIA_COMISIONValue: String;
    procedure SetREFERENCIA_COMISIONValue(const aValue: String);
    function GetDESCRIPCIONValue: String;
    procedure SetDESCRIPCIONValue(const aValue: String);
    function GetIMPORTE_TOTALValue: Float;
    procedure SetIMPORTE_TOTALValue(const aValue: Float);
    function GetID_EMPRESAValue: Integer;
    procedure SetID_EMPRESAValue(const aValue: Integer);
    function GetNIF_CIF_EMPRESAValue: String;
    procedure SetNIF_CIF_EMPRESAValue(const aValue: String);
    function GetRAZON_SOCIALValue: String;
    procedure SetRAZON_SOCIALValue(const aValue: String);
    function GetCALLE_EMPRESAValue: String;
    procedure SetCALLE_EMPRESAValue(const aValue: String);
    function GetPOBLACION_EMPRESAValue: String;
    procedure SetPOBLACION_EMPRESAValue(const aValue: String);
    function GetPROVINCIA_EMPRESAValue: String;
    procedure SetPROVINCIA_EMPRESAValue(const aValue: String);
    function GetCODIGO_POSTAL_EMPRESAValue: String;
    procedure SetCODIGO_POSTAL_EMPRESAValue(const aValue: String);
    function GetTELEFONO_1Value: String;
    procedure SetTELEFONO_1Value(const aValue: String);
    function GetFAXValue: String;
    procedure SetFAXValue(const aValue: String);
    function GetMOVIL_1Value: String;
    procedure SetMOVIL_1Value(const aValue: String);
    function GetEMAIL_1Value: String;
    procedure SetEMAIL_1Value(const aValue: String);
    function GetPAGINA_WEBValue: String;
    procedure SetPAGINA_WEBValue(const aValue: String);
    function GetREGISTRO_MERCANTILValue: String;
    procedure SetREGISTRO_MERCANTILValue(const aValue: String);
    function GetID_AGENTEValue: Integer;
    procedure SetID_AGENTEValue(const aValue: Integer);
    function GetAGENTEValue: String;
    procedure SetAGENTEValue(const aValue: String);
    function GetID_FACTURAValue: Integer;
    procedure SetID_FACTURAValue(const aValue: Integer);
    function GetID_COMISION_LIQUIDADAValue: Integer;
    procedure SetID_COMISION_LIQUIDADAValue(const aValue: Integer);
    function GetFECHAValue: DateTime;
    procedure SetFECHAValue(const aValue: DateTime);
    function GetREFERENCIAValue: String;
    procedure SetREFERENCIAValue(const aValue: String);
    function GetSITUACIONValue: String;
    procedure SetSITUACIONValue(const aValue: String);
    function GetID_CLIENTEValue: Integer;
    procedure SetID_CLIENTEValue(const aValue: Integer);
    function GetCLIENTEValue: String;
    procedure SetCLIENTEValue(const aValue: String);
    function GetID_PROVEEDORValue: Integer;
    procedure SetID_PROVEEDORValue(const aValue: Integer);
    function GetPROVEEDORValue: String;
    procedure SetPROVEEDORValue(const aValue: String);
    function GetCOMISIONValue: Float;
    procedure SetCOMISIONValue(const aValue: Float);
    function GetIMPORTE_COMISIONABLEValue: Float;
    procedure SetIMPORTE_COMISIONABLEValue(const aValue: Float);
    function GetIMPORTE_COMISIONValue: Float;
    procedure SetIMPORTE_COMISIONValue(const aValue: Float);


    { Properties }
    property FECHA_COMISION: DateTime read GetFECHA_COMISIONValue write SetFECHA_COMISIONValue;
    property REFERENCIA_COMISION: String read GetREFERENCIA_COMISIONValue write SetREFERENCIA_COMISIONValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property IMPORTE_TOTAL: Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property NIF_CIF_EMPRESA: String read GetNIF_CIF_EMPRESAValue write SetNIF_CIF_EMPRESAValue;
    property RAZON_SOCIAL: String read GetRAZON_SOCIALValue write SetRAZON_SOCIALValue;
    property CALLE_EMPRESA: String read GetCALLE_EMPRESAValue write SetCALLE_EMPRESAValue;
    property POBLACION_EMPRESA: String read GetPOBLACION_EMPRESAValue write SetPOBLACION_EMPRESAValue;
    property PROVINCIA_EMPRESA: String read GetPROVINCIA_EMPRESAValue write SetPROVINCIA_EMPRESAValue;
    property CODIGO_POSTAL_EMPRESA: String read GetCODIGO_POSTAL_EMPRESAValue write SetCODIGO_POSTAL_EMPRESAValue;
    property TELEFONO_1: String read GetTELEFONO_1Value write SetTELEFONO_1Value;
    property FAX: String read GetFAXValue write SetFAXValue;
    property MOVIL_1: String read GetMOVIL_1Value write SetMOVIL_1Value;
    property EMAIL_1: String read GetEMAIL_1Value write SetEMAIL_1Value;
    property PAGINA_WEB: String read GetPAGINA_WEBValue write SetPAGINA_WEBValue;
    property REGISTRO_MERCANTIL: String read GetREGISTRO_MERCANTILValue write SetREGISTRO_MERCANTILValue;
    property ID_AGENTE: Integer read GetID_AGENTEValue write SetID_AGENTEValue;
    property AGENTE: String read GetAGENTEValue write SetAGENTEValue;
    property ID_FACTURA: Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property ID_COMISION_LIQUIDADA: Integer read GetID_COMISION_LIQUIDADAValue write SetID_COMISION_LIQUIDADAValue;
    property FECHA: DateTime read GetFECHAValue write SetFECHAValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property SITUACION: String read GetSITUACIONValue write SetSITUACIONValue;
    property ID_CLIENTE: Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property CLIENTE: String read GetCLIENTEValue write SetCLIENTEValue;
    property ID_PROVEEDOR: Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property PROVEEDOR: String read GetPROVEEDORValue write SetPROVEEDORValue;
    property COMISION: Float read GetCOMISIONValue write SetCOMISIONValue;
    property IMPORTE_COMISIONABLE: Float read GetIMPORTE_COMISIONABLEValue write SetIMPORTE_COMISIONABLEValue;
    property IMPORTE_COMISION: Float read GetIMPORTE_COMISIONValue write SetIMPORTE_COMISIONValue;
  end;

  { TInformeComisionesDataTableRules }
  TInformeComisionesDataTableRules = class(TDADataTableRules, IInformeComisiones)
  private
  protected
    { Property getters and setters }
    function GetFECHA_COMISIONValue: DateTime; virtual;
    procedure SetFECHA_COMISIONValue(const aValue: DateTime); virtual;
    function GetREFERENCIA_COMISIONValue: String; virtual;
    procedure SetREFERENCIA_COMISIONValue(const aValue: String); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetNIF_CIF_EMPRESAValue: String; virtual;
    procedure SetNIF_CIF_EMPRESAValue(const aValue: String); virtual;
    function GetRAZON_SOCIALValue: String; virtual;
    procedure SetRAZON_SOCIALValue(const aValue: String); virtual;
    function GetCALLE_EMPRESAValue: String; virtual;
    procedure SetCALLE_EMPRESAValue(const aValue: String); virtual;
    function GetPOBLACION_EMPRESAValue: String; virtual;
    procedure SetPOBLACION_EMPRESAValue(const aValue: String); virtual;
    function GetPROVINCIA_EMPRESAValue: String; virtual;
    procedure SetPROVINCIA_EMPRESAValue(const aValue: String); virtual;
    function GetCODIGO_POSTAL_EMPRESAValue: String; virtual;
    procedure SetCODIGO_POSTAL_EMPRESAValue(const aValue: String); virtual;
    function GetTELEFONO_1Value: String; virtual;
    procedure SetTELEFONO_1Value(const aValue: String); virtual;
    function GetFAXValue: String; virtual;
    procedure SetFAXValue(const aValue: String); virtual;
    function GetMOVIL_1Value: String; virtual;
    procedure SetMOVIL_1Value(const aValue: String); virtual;
    function GetEMAIL_1Value: String; virtual;
    procedure SetEMAIL_1Value(const aValue: String); virtual;
    function GetPAGINA_WEBValue: String; virtual;
    procedure SetPAGINA_WEBValue(const aValue: String); virtual;
    function GetREGISTRO_MERCANTILValue: String; virtual;
    procedure SetREGISTRO_MERCANTILValue(const aValue: String); virtual;
    function GetID_AGENTEValue: Integer; virtual;
    procedure SetID_AGENTEValue(const aValue: Integer); virtual;
    function GetAGENTEValue: String; virtual;
    procedure SetAGENTEValue(const aValue: String); virtual;
    function GetID_FACTURAValue: Integer; virtual;
    procedure SetID_FACTURAValue(const aValue: Integer); virtual;
    function GetID_COMISION_LIQUIDADAValue: Integer; virtual;
    procedure SetID_COMISION_LIQUIDADAValue(const aValue: Integer); virtual;
    function GetFECHAValue: DateTime; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    function GetREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetCLIENTEValue: String; virtual;
    procedure SetCLIENTEValue(const aValue: String); virtual;
    function GetID_PROVEEDORValue: Integer; virtual;
    procedure SetID_PROVEEDORValue(const aValue: Integer); virtual;
    function GetPROVEEDORValue: String; virtual;
    procedure SetPROVEEDORValue(const aValue: String); virtual;
    function GetCOMISIONValue: Float; virtual;
    procedure SetCOMISIONValue(const aValue: Float); virtual;
    function GetIMPORTE_COMISIONABLEValue: Float; virtual;
    procedure SetIMPORTE_COMISIONABLEValue(const aValue: Float); virtual;
    function GetIMPORTE_COMISIONValue: Float; virtual;
    procedure SetIMPORTE_COMISIONValue(const aValue: Float); virtual;

    { Properties }
    property FECHA_COMISION: DateTime read GetFECHA_COMISIONValue write SetFECHA_COMISIONValue;
    property REFERENCIA_COMISION: String read GetREFERENCIA_COMISIONValue write SetREFERENCIA_COMISIONValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property IMPORTE_TOTAL: Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property NIF_CIF_EMPRESA: String read GetNIF_CIF_EMPRESAValue write SetNIF_CIF_EMPRESAValue;
    property RAZON_SOCIAL: String read GetRAZON_SOCIALValue write SetRAZON_SOCIALValue;
    property CALLE_EMPRESA: String read GetCALLE_EMPRESAValue write SetCALLE_EMPRESAValue;
    property POBLACION_EMPRESA: String read GetPOBLACION_EMPRESAValue write SetPOBLACION_EMPRESAValue;
    property PROVINCIA_EMPRESA: String read GetPROVINCIA_EMPRESAValue write SetPROVINCIA_EMPRESAValue;
    property CODIGO_POSTAL_EMPRESA: String read GetCODIGO_POSTAL_EMPRESAValue write SetCODIGO_POSTAL_EMPRESAValue;
    property TELEFONO_1: String read GetTELEFONO_1Value write SetTELEFONO_1Value;
    property FAX: String read GetFAXValue write SetFAXValue;
    property MOVIL_1: String read GetMOVIL_1Value write SetMOVIL_1Value;
    property EMAIL_1: String read GetEMAIL_1Value write SetEMAIL_1Value;
    property PAGINA_WEB: String read GetPAGINA_WEBValue write SetPAGINA_WEBValue;
    property REGISTRO_MERCANTIL: String read GetREGISTRO_MERCANTILValue write SetREGISTRO_MERCANTILValue;
    property ID_AGENTE: Integer read GetID_AGENTEValue write SetID_AGENTEValue;
    property AGENTE: String read GetAGENTEValue write SetAGENTEValue;
    property ID_FACTURA: Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property ID_COMISION_LIQUIDADA: Integer read GetID_COMISION_LIQUIDADAValue write SetID_COMISION_LIQUIDADAValue;
    property FECHA: DateTime read GetFECHAValue write SetFECHAValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property SITUACION: String read GetSITUACIONValue write SetSITUACIONValue;
    property ID_CLIENTE: Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property CLIENTE: String read GetCLIENTEValue write SetCLIENTEValue;
    property ID_PROVEEDOR: Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property PROVEEDOR: String read GetPROVEEDORValue write SetPROVEEDORValue;
    property COMISION: Float read GetCOMISIONValue write SetCOMISIONValue;
    property IMPORTE_COMISIONABLE: Float read GetIMPORTE_COMISIONABLEValue write SetIMPORTE_COMISIONABLEValue;
    property IMPORTE_COMISION: Float read GetIMPORTE_COMISIONValue write SetIMPORTE_COMISIONValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

implementation

uses Variants;

{ TInformeComisionesDataTableRules }
constructor TInformeComisionesDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TInformeComisionesDataTableRules.Destroy;
begin
  inherited;
end;

function TInformeComisionesDataTableRules.GetFECHA_COMISIONValue: DateTime;
begin
  result := DataTable.Fields[idx_InformeComisionesFECHA_COMISION].AsDateTime;
end;

procedure TInformeComisionesDataTableRules.SetFECHA_COMISIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_InformeComisionesFECHA_COMISION].AsDateTime := aValue;
end;

function TInformeComisionesDataTableRules.GetREFERENCIA_COMISIONValue: String;
begin
  result := DataTable.Fields[idx_InformeComisionesREFERENCIA_COMISION].AsString;
end;

procedure TInformeComisionesDataTableRules.SetREFERENCIA_COMISIONValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesREFERENCIA_COMISION].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetDESCRIPCIONValue: String;
begin
  result := DataTable.Fields[idx_InformeComisionesDESCRIPCION].AsString;
end;

procedure TInformeComisionesDataTableRules.SetDESCRIPCIONValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesDESCRIPCION].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetIMPORTE_TOTALValue: Float;
begin
  result := DataTable.Fields[idx_InformeComisionesIMPORTE_TOTAL].AsFloat;
end;

procedure TInformeComisionesDataTableRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  DataTable.Fields[idx_InformeComisionesIMPORTE_TOTAL].AsFloat := aValue;
end;

function TInformeComisionesDataTableRules.GetID_EMPRESAValue: Integer;
begin
  result := DataTable.Fields[idx_InformeComisionesID_EMPRESA].AsInteger;
end;

procedure TInformeComisionesDataTableRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InformeComisionesID_EMPRESA].AsInteger := aValue;
end;

function TInformeComisionesDataTableRules.GetNIF_CIF_EMPRESAValue: String;
begin
  result := DataTable.Fields[idx_InformeComisionesNIF_CIF_EMPRESA].AsString;
end;

procedure TInformeComisionesDataTableRules.SetNIF_CIF_EMPRESAValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesNIF_CIF_EMPRESA].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetRAZON_SOCIALValue: String;
begin
  result := DataTable.Fields[idx_InformeComisionesRAZON_SOCIAL].AsString;
end;

procedure TInformeComisionesDataTableRules.SetRAZON_SOCIALValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesRAZON_SOCIAL].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetCALLE_EMPRESAValue: String;
begin
  result := DataTable.Fields[idx_InformeComisionesCALLE_EMPRESA].AsString;
end;

procedure TInformeComisionesDataTableRules.SetCALLE_EMPRESAValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesCALLE_EMPRESA].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetPOBLACION_EMPRESAValue: String;
begin
  result := DataTable.Fields[idx_InformeComisionesPOBLACION_EMPRESA].AsString;
end;

procedure TInformeComisionesDataTableRules.SetPOBLACION_EMPRESAValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesPOBLACION_EMPRESA].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetPROVINCIA_EMPRESAValue: String;
begin
  result := DataTable.Fields[idx_InformeComisionesPROVINCIA_EMPRESA].AsString;
end;

procedure TInformeComisionesDataTableRules.SetPROVINCIA_EMPRESAValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesPROVINCIA_EMPRESA].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetCODIGO_POSTAL_EMPRESAValue: String;
begin
  result := DataTable.Fields[idx_InformeComisionesCODIGO_POSTAL_EMPRESA].AsString;
end;

procedure TInformeComisionesDataTableRules.SetCODIGO_POSTAL_EMPRESAValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesCODIGO_POSTAL_EMPRESA].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetTELEFONO_1Value: String;
begin
  result := DataTable.Fields[idx_InformeComisionesTELEFONO_1].AsString;
end;

procedure TInformeComisionesDataTableRules.SetTELEFONO_1Value(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesTELEFONO_1].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetFAXValue: String;
begin
  result := DataTable.Fields[idx_InformeComisionesFAX].AsString;
end;

procedure TInformeComisionesDataTableRules.SetFAXValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesFAX].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetMOVIL_1Value: String;
begin
  result := DataTable.Fields[idx_InformeComisionesMOVIL_1].AsString;
end;

procedure TInformeComisionesDataTableRules.SetMOVIL_1Value(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesMOVIL_1].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetEMAIL_1Value: String;
begin
  result := DataTable.Fields[idx_InformeComisionesEMAIL_1].AsString;
end;

procedure TInformeComisionesDataTableRules.SetEMAIL_1Value(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesEMAIL_1].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetPAGINA_WEBValue: String;
begin
  result := DataTable.Fields[idx_InformeComisionesPAGINA_WEB].AsString;
end;

procedure TInformeComisionesDataTableRules.SetPAGINA_WEBValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesPAGINA_WEB].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetREGISTRO_MERCANTILValue: String;
begin
  result := DataTable.Fields[idx_InformeComisionesREGISTRO_MERCANTIL].AsString;
end;

procedure TInformeComisionesDataTableRules.SetREGISTRO_MERCANTILValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesREGISTRO_MERCANTIL].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetID_AGENTEValue: Integer;
begin
  result := DataTable.Fields[idx_InformeComisionesID_AGENTE].AsInteger;
end;

procedure TInformeComisionesDataTableRules.SetID_AGENTEValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InformeComisionesID_AGENTE].AsInteger := aValue;
end;

function TInformeComisionesDataTableRules.GetAGENTEValue: String;
begin
  result := DataTable.Fields[idx_InformeComisionesAGENTE].AsString;
end;

procedure TInformeComisionesDataTableRules.SetAGENTEValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesAGENTE].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetID_FACTURAValue: Integer;
begin
  result := DataTable.Fields[idx_InformeComisionesID_FACTURA].AsInteger;
end;

procedure TInformeComisionesDataTableRules.SetID_FACTURAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InformeComisionesID_FACTURA].AsInteger := aValue;
end;

function TInformeComisionesDataTableRules.GetID_COMISION_LIQUIDADAValue: Integer;
begin
  result := DataTable.Fields[idx_InformeComisionesID_COMISION_LIQUIDADA].AsInteger;
end;

procedure TInformeComisionesDataTableRules.SetID_COMISION_LIQUIDADAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InformeComisionesID_COMISION_LIQUIDADA].AsInteger := aValue;
end;

function TInformeComisionesDataTableRules.GetFECHAValue: DateTime;
begin
  result := DataTable.Fields[idx_InformeComisionesFECHA].AsDateTime;
end;

procedure TInformeComisionesDataTableRules.SetFECHAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_InformeComisionesFECHA].AsDateTime := aValue;
end;

function TInformeComisionesDataTableRules.GetREFERENCIAValue: String;
begin
  result := DataTable.Fields[idx_InformeComisionesREFERENCIA].AsString;
end;

procedure TInformeComisionesDataTableRules.SetREFERENCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesREFERENCIA].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetSITUACIONValue: String;
begin
  result := DataTable.Fields[idx_InformeComisionesSITUACION].AsString;
end;

procedure TInformeComisionesDataTableRules.SetSITUACIONValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesSITUACION].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetID_CLIENTEValue: Integer;
begin
  result := DataTable.Fields[idx_InformeComisionesID_CLIENTE].AsInteger;
end;

procedure TInformeComisionesDataTableRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InformeComisionesID_CLIENTE].AsInteger := aValue;
end;

function TInformeComisionesDataTableRules.GetCLIENTEValue: String;
begin
  result := DataTable.Fields[idx_InformeComisionesCLIENTE].AsString;
end;

procedure TInformeComisionesDataTableRules.SetCLIENTEValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesCLIENTE].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetID_PROVEEDORValue: Integer;
begin
  result := DataTable.Fields[idx_InformeComisionesID_PROVEEDOR].AsInteger;
end;

procedure TInformeComisionesDataTableRules.SetID_PROVEEDORValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InformeComisionesID_PROVEEDOR].AsInteger := aValue;
end;

function TInformeComisionesDataTableRules.GetPROVEEDORValue: String;
begin
  result := DataTable.Fields[idx_InformeComisionesPROVEEDOR].AsString;
end;

procedure TInformeComisionesDataTableRules.SetPROVEEDORValue(const aValue: String);
begin
  DataTable.Fields[idx_InformeComisionesPROVEEDOR].AsString := aValue;
end;

function TInformeComisionesDataTableRules.GetCOMISIONValue: Float;
begin
  result := DataTable.Fields[idx_InformeComisionesCOMISION].AsFloat;
end;

procedure TInformeComisionesDataTableRules.SetCOMISIONValue(const aValue: Float);
begin
  DataTable.Fields[idx_InformeComisionesCOMISION].AsFloat := aValue;
end;

function TInformeComisionesDataTableRules.GetIMPORTE_COMISIONABLEValue: Float;
begin
  result := DataTable.Fields[idx_InformeComisionesIMPORTE_COMISIONABLE].AsFloat;
end;

procedure TInformeComisionesDataTableRules.SetIMPORTE_COMISIONABLEValue(const aValue: Float);
begin
  DataTable.Fields[idx_InformeComisionesIMPORTE_COMISIONABLE].AsFloat := aValue;
end;

function TInformeComisionesDataTableRules.GetIMPORTE_COMISIONValue: Float;
begin
  result := DataTable.Fields[idx_InformeComisionesIMPORTE_COMISION].AsFloat;
end;

procedure TInformeComisionesDataTableRules.SetIMPORTE_COMISIONValue(const aValue: Float);
begin
  DataTable.Fields[idx_InformeComisionesIMPORTE_COMISION].AsFloat := aValue;
end;


initialization
  RegisterDataTableRules(RID_InformeComisiones, TInformeComisionesDataTableRules);

end.
